Package org.h2gis.functions.spatial.properties

# Class ST_IsClosed

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_IsClosed

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_IsClosed extends org.h2gis.api.DeterministicScalarFunction
Return TRUE if the provided geometry is a closed LINESTRING or MULTILINESTRING, null otherwise.

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_IsClosed()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static Boolean`
`isClosed(org.locationtech.jts.geom.Geometry geometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_IsClosed

public ST_IsClosed()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### isClosed

public static Boolean isClosed(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` - Geometry
Returns:
  True if the provided geometry is a closed LINESTRING or MULTILINESTRING, true otherwise